Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi
Class RMISecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.SecurityException
                              |
                              +--weblogic.rmi.RMISecurityException

public class RMISecurityException
extends java.lang.SecurityException

This exception is provided for compatibility with java.rmi.*

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RMISecurityException()`
`RMISecurityException(java.lang.String s)` Constructs an RMISecurityException with the specified string.
`RMISecurityException(java.lang.String s1, java.lang.String s2)` Constructs an RMISecurityException with the specified strings, formatted as "message: cause".

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RMISecurityException

    public RMISecurityException()

### RMISecurityException

    public RMISecurityException(java.lang.String s)

  Constructs an RMISecurityException with the specified string.

  Parameters:
    `s` - String message

### RMISecurityException

    public RMISecurityException(java.lang.String s1,
                                java.lang.String s2)

  Constructs an RMISecurityException with the specified strings, formatted as "message: cause".

  Parameters:
    `s1` - String message
    `s2` - String cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD